Bug 1017238 - Systems cannot be found via uuid through the API
Systems cannot be found via uuid through the API
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Eric Helms
Katello QA List
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 09:21 EDT by Eric Helms
Modified: 2014-07-02 10:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:14:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Helms 2013-10-09 09:21:13 EDT
Description of problem:
The API does not allow finding a system by UUID. This is used in some places by the CLI.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
query the API: https://<server>/katello/api/organizations/ACME_Corporation/systems?uuid=<system_uuid>

Actual results:
No systems

Expected results:
A list of systems with 1 system having the specified UUID.

Additional info:
Comment 1 Eric Helms 2013-10-09 09:28:17 EDT
https://github.com/Katello/katello/pull/3142
Comment 5 Mike McCune 2013-10-17 17:06:29 EDT
Moving this to be tested during MDP3, not critical for MDP2 success story
Comment 6 Corey Welton 2014-04-24 13:39:10 EDT
QE Verified in Satellite-6.0.3-RHEL-6-20140423.0

# curl https://admin:changeme@`hostname`/katello/api/organizations/ACME_Corporation/systems?uuid=5173d76a-e5a0-4341-910e-d8a6c6f0d54a --insecure
[{"content_view_id":1,"created_at":"2014-04-24T17:31:21Z","description":"Initial Registration Params","environment_id":1,"id":1,"location":"None","name":"cloud-qe-13.idm.lab.bos.redhat.com","updated_at":"2014-04-24T17:31:23Z","uuid":"5173d76a-e5a0-4341-910e-d8a6c6f0d54a","serviceLevel":"","environment":{"id":1,"name":"Library","description":null,"library":true,"organization_id":1,"created_at":"2014-04-23T18:02:50Z","updated_at":"2014-04-23T18:02:50Z","label":"Library","prior":null,"prior_id":null,"organization":"ACME_Corporation"},"activation_key":[],"content_view":{"id":1,"name":"Default Organization View","label":"Default_Organization_View","description":null,"organization_id":1,"default":true,"created_at":"2014-04-23T18:02:51Z","updated_at":"2014-04-23T18:02:51Z","composite":null,"next_version":1,"organization":"ACME_Corporation","environments":["Library"],"versions":[1],"versions_details":[{"version":1,"published":"2014-04-23 18:02:51 UTC","environments":["Library"]}]},"ipv4_address":"10.16.96.102","guests":[],"compliance":{"date":"2014-04-24T17:37:47.006+0000","compliantUntil":"2014-04-24T17:37:47.006+0000","nonCompliantProducts":["69"],"compliantProducts":{},"partiallyCompliantProducts":{},"partialStacks":{},"reasons":[{"key":"NOTCOVERED","message":"Not supported by a valid subscription.","attributes":{"product_id":"69","name":"Red Hat Enterprise Linux Server"}}],"compliant":false,"status":"invalid"},"registered":"2014-04-24T17:31:21.830+0000","checkin_time":"2014-04-24T13:31:27-04:00","distribution":"Red Hat Enterprise Linux Server 6.5"}]
Comment 7 Bryan Kearney 2014-07-02 10:09:48 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.
Comment 8 Bryan Kearney 2014-07-02 10:09:58 EDT
This was delivered in 6.0.3, the Beta version of Satellite 6.0
Comment 9 Bryan Kearney 2014-07-02 10:14:40 EDT
This was delivered in the Satellite 6 Beta (6.0.3)

Note You need to log in before you can comment on or make changes to this bug.